package controllers

import (
	"net/http"

	"code.locsi.com/locsi/api/models"

	"github.com/gin-gonic/gin"
)

// GET /podcast-episode/:id
// Get a Podcast Episode resource
func GetPodcastEpisode(c *gin.Context) {
	// Get model if it exists
	var PodcastEpisode models.PodcastEpisode
	if err := models.DB.Where("id = ?", c.Param("id")).First(&PodcastEpisode).Error; err != nil {
		c.JSON(http.StatusBadRequest, gin.H{"error": "Record not found!"})
		return
	}

	c.JSON(http.StatusOK, PodcastEpisode)
}

// POST /podcast-episode
// Create new Podcast Episode resource
func CreatePodcastEpisode(c *gin.Context) {
	// Validate input
	var input models.PodcastEpisode
	if err := c.ShouldBindJSON(&input); err != nil {
		c.JSON(http.StatusBadRequest, gin.H{"error": err.Error()})
		return
	}

	// Create Podcast Episode
	if err := models.DB.Create(&input).Error; err != nil {
		c.JSON(http.StatusBadRequest, gin.H{"error": err.Error()})
		return
	}

	c.JSON(http.StatusOK, input)
}
