package main

import (
	"code.locsi.com/locsi/api/controllers"
	"code.locsi.com/locsi/api/models"

	"github.com/gin-gonic/gin"
)

func main() {
	r := gin.Default()

	// Connect to database
	models.ConnectDatabase()

	// PodcastEpisode Routes
	r.GET("/podcast-episode/:id", controllers.GetPodcastEpisode)
	r.POST("/podcast-episode", controllers.CreatePodcastEpisode)
	// PodcastSeries Routes
	r.GET("/podcast-series/:id", controllers.GetPodcastSeries)
	r.POST("/podcast-series", controllers.CreatePodcastSeries)
	// Health check route
	r.GET("/health", controllers.GetHealth)

	r.Run()
}
