package models

import (
	"gorm.io/gorm"
)

type Categories struct {
	ID       int    `json:"id,omitempty" gorm:"primaryKey;autoIncrement"`
	Category string `json:"category" gorm:"uniqueIndex"`
}

func (c *Categories) BeforeCreate(tx *gorm.DB) (err error) {
	if c.ID == 0 && c.Category != "" {
		// They provided a category and no id.  If the category already exists update the category to the value in the database.
		DB.First(&c, &c)
	}

	return
}
