package models

import "time"

type PodcastEpisode struct {
	ID              int           `json:"id" gorm:"primaryKey;autoIncrement"`
	Name            string        `json:"name"`
	DatePublished   time.Time     `json:"datePublished"`
	GUID            string        `json:"guid" desc:"Global Unique identifier of podcast." gorm:"uniqueIndex"`
	Duration        string        `json:"duration"`
	Description     string        `json:"description"`
	ImageURL        string        `json:"imageURL,omitempty"`
	ContentURL      string        `json:"contentURL"`
	PodcastSeriesID int           `json:"podcast_series_id"`
	PodcastSeries   PodcastSeries `json:"podcast_series" desc:"Podcast series that this episode belongs to."`
}
