package models

import (
	"os"

	"gorm.io/driver/postgres"
	"gorm.io/gorm"
)

var DB *gorm.DB

func ConnectDatabase() {
	dsn := "host=locsi-podcasts-db-cluster-rw" + " user=" + os.Getenv("LOCSI_PODCASTS_DB_USER") + " password=" + os.Getenv("LOCSI_PODCASTS_DB_PASS") + " dbname=" + os.Getenv("LOCSI_PODCASTS_DB_NAME")
	database, err := gorm.Open(postgres.Open(dsn), &gorm.Config{})

	if err != nil {
		//TODO: Manage error better
		panic("Failed to connect to database!")
	}

	database.AutoMigrate(&PodcastEpisode{}, &PodcastSeries{}, &Categories{})

	DB = database
}
